ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/OpenMD/branches/development/configure
(Generate patch)

Comparing trunk/configure (file contents):
Revision 342 by gezelter, Tue Feb 15 05:59:14 2005 UTC vs.
Revision 397 by gezelter, Fri Mar 4 15:29:03 2005 UTC

# Line 312 | Line 312 | ac_includes_default="\
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI SPRNG_LIB_DIR SPRNG_INC_DIR SPRNG_LIB USE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 876 | Line 876 | Optional Packages:
876    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
877    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
878    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
879  --with-sprng=<prefix>   compile with SPRNG installed in <prefix>
880                          [default=/usr/local]
881  --with-mkl              Do we want MKL will check /usr/local/intel/mkl61 /opt/intel/mkl61
879  
880   Some influential environment variables:
881    CC          C compiler command
# Line 3542 | Line 3539 | F90FLAGS="$F90FLAGS $ac_verb"
3539   ac_save_F90FLAGS=$F90FLAGS
3540   F90FLAGS="$F90FLAGS $ac_verb"
3541  
3542 < (eval echo $as_me:3545: \"$ac_link\") >&5
3542 > (eval echo $as_me:3542: \"$ac_link\") >&5
3543   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3544   echo "$ac_f90_v_output" >&5
3545   F90FLAGS=$ac_save_F90FLAGS
# Line 3619 | Line 3616 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3616   ac_save_F90FLAGS=$F90FLAGS
3617   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3618  
3619 < (eval echo $as_me:3622: \"$ac_link\") >&5
3619 > (eval echo $as_me:3619: \"$ac_link\") >&5
3620   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3621   echo "$ac_f90_v_output" >&5
3622   F90FLAGS=$ac_save_F90FLAGS
# Line 7313 | Line 7310 | else
7310          if test "$ac_cv_prog_ps_ax" = yes; then
7311                  ac_cv_prog_ps_syntax=BSD
7312          else
7313 <                if test "$ac_cv_prog_ps_es" = yes; then
7313 >                if test "$ac_cv_prog_ps_ef" = yes; then
7314                          ac_cv_prog_ps_syntax=POSIX
7315                  else
7316                          { { echo "$as_me:$LINENO: error: Could not determine ps syntax" >&5
# Line 7326 | Line 7323 | echo "${ECHO_T}$ac_cv_prog_ps_syntax" >&6
7323   echo "$as_me:$LINENO: result: $ac_cv_prog_ps_syntax" >&5
7324   echo "${ECHO_T}$ac_cv_prog_ps_syntax" >&6
7325  
7326 +
7327   cat >>confdefs.h <<_ACEOF
7328 < #define PSCOMMAND "$PS"
7328 > #define PSCOMMAND $PS
7329   _ACEOF
7330  
7331  
7332 < cat >>confdefs.h <<_ACEOF
7333 < #define PSTYPE $ac_cv_prog_ps_syntax
7332 > if test "$ac_cv_prog_ps_syntax" = BSD; then
7333 >  cat >>confdefs.h <<\_ACEOF
7334 > #define PSTYPE_IS_BSD 1
7335   _ACEOF
7336  
7337 + else
7338 +   if test "$ac_cv_prog_ps_syntax" = POSIX; then
7339 +       cat >>confdefs.h <<\_ACEOF
7340 + #define PSTYPE_IS_POSIX 1
7341 + _ACEOF
7342  
7343 +   else
7344 +       { { echo "$as_me:$LINENO: error: Unknown ps syntax type!" >&5
7345 + echo "$as_me: error: Unknown ps syntax type!" >&2;}
7346 +   { (exit 1); exit 1; }; }
7347 +   fi
7348 + fi
7349  
7350  
7351   # Check whether --with-mpi or --without-mpi was given.
# Line 7802 | Line 7812 | echo "${ECHO_T}found $MPI_F90_LIB" >&6
7812   fi
7813   echo "$as_me:$LINENO: result: found $MPI_F90_LIB" >&5
7814   echo "${ECHO_T}found $MPI_F90_LIB" >&6
7805
7806
7807 fi
7808
7809
7810
7811 # Check whether --with-sprng or --without-sprng was given.
7812 if test "${with_sprng+set}" = set; then
7813  withval="$with_sprng"
7814  with_sprng=$withval
7815 else
7816  with_sprng="/usr/local"
7817 fi;
7818
7819 case "x$with_sprng" in
7820        xyes | "x")  USE_SPRNG=yes;;
7821        xno) USE_SPRNG=no ;;
7822        *) SPRNG="$with_sprng"; USE_SPRNG=yes ;;
7823 esac
7824 if test "$USE_SPRNG" = "yes" -a -z "$with_sprng"; then
7825        SPRNG="/usr/local"
7826 fi
7827 if test "$USE_SPRNG" = "yes"; then
7828
7829
7830 # Set variables...
7831 SPRNG_LIB_DIR="$SPRNG/lib"
7832 SPRNG_INC_DIR="$SPRNG/include"
7833
7834
7835
7836 echo "$as_me:$LINENO: checking for sprng.h" >&5
7837 echo $ECHO_N "checking for sprng.h... $ECHO_C" >&6
7838 have_sprng_h=0
7839 echo '#include <sprng.h>' > conftest.cc
7840 if test -z "`${CXX} -I${SPRNG_INC_DIR} -c conftest.cc 2>&1`"; then
7841        echo "$as_me:$LINENO: result: yes" >&5
7842 echo "${ECHO_T}yes" >&6
7843        have_sprng_h=1
7844 else
7845        echo "$as_me:$LINENO: result: no! Check SPRNG include path!" >&5
7846 echo "${ECHO_T}no! Check SPRNG include path!" >&6
7847        USE_SPRNG="no"
7848 fi
7849 rm -f conftest*
7850 if test "$have_sprng_h" = 1; then
7851
7852 cat >>confdefs.h <<\_ACEOF
7853 #define HAVE_SPRNG_H 1
7854 _ACEOF
7855
7856 fi
7857
7858 ac_ext=c
7859 ac_cpp='$CPP $CPPFLAGS'
7860 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7861 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7862 ac_compiler_gnu=$ac_cv_c_compiler_gnu
7863
7864 ac_save_LDFLAGS=$LDFLAGS
7865 LDFLAGS="${LDFLAGS} -L${SPRNG_LIB_DIR} "
7866
7867 echo "$as_me:$LINENO: checking for init_rng in -lsprng" >&5
7868 echo $ECHO_N "checking for init_rng in -lsprng... $ECHO_C" >&6
7869 if test "${ac_cv_lib_sprng_init_rng+set}" = set; then
7870  echo $ECHO_N "(cached) $ECHO_C" >&6
7871 else
7872  ac_check_lib_save_LIBS=$LIBS
7873 LIBS="-lsprng  $LIBS"
7874 cat >conftest.$ac_ext <<_ACEOF
7875 /* confdefs.h.  */
7876 _ACEOF
7877 cat confdefs.h >>conftest.$ac_ext
7878 cat >>conftest.$ac_ext <<_ACEOF
7879 /* end confdefs.h.  */
7880
7881 /* Override any gcc2 internal prototype to avoid an error.  */
7882 #ifdef __cplusplus
7883 extern "C"
7884 #endif
7885 /* We use char because int might match the return type of a gcc2
7886   builtin and then its argument prototype would still apply.  */
7887 char init_rng ();
7888 int
7889 main ()
7890 {
7891 init_rng ();
7892  ;
7893  return 0;
7894 }
7895 _ACEOF
7896 rm -f conftest.$ac_objext conftest$ac_exeext
7897 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7898  (eval $ac_link) 2>conftest.er1
7899  ac_status=$?
7900  grep -v '^ *+' conftest.er1 >conftest.err
7901  rm -f conftest.er1
7902  cat conftest.err >&5
7903  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7904  (exit $ac_status); } &&
7905         { ac_try='test -z "$ac_c_werror_flag"
7906                         || test ! -s conftest.err'
7907  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7908  (eval $ac_try) 2>&5
7909  ac_status=$?
7910  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7911  (exit $ac_status); }; } &&
7912         { ac_try='test -s conftest$ac_exeext'
7913  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7914  (eval $ac_try) 2>&5
7915  ac_status=$?
7916  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7917  (exit $ac_status); }; }; then
7918  ac_cv_lib_sprng_init_rng=yes
7919 else
7920  echo "$as_me: failed program was:" >&5
7921 sed 's/^/| /' conftest.$ac_ext >&5
7815  
7923 ac_cv_lib_sprng_init_rng=no
7924 fi
7925 rm -f conftest.err conftest.$ac_objext \
7926      conftest$ac_exeext conftest.$ac_ext
7927 LIBS=$ac_check_lib_save_LIBS
7928 fi
7929 echo "$as_me:$LINENO: result: $ac_cv_lib_sprng_init_rng" >&5
7930 echo "${ECHO_T}$ac_cv_lib_sprng_init_rng" >&6
7931 if test $ac_cv_lib_sprng_init_rng = yes; then
7932  SPRNG_LIB="-lsprng"
7933 else
7816  
7935             { { echo "$as_me:$LINENO: error: Didn't find libsprng; check path for SPRNG package first..." >&5
7936 echo "$as_me: error: Didn't find libsprng; check path for SPRNG package first..." >&2;}
7937   { (exit 1); exit 1; }; }
7938             USE_SPRNG="no"
7939
7817   fi
7818  
7819  
7943 if test "$USE_SPRNG" = "no"; then
7944  { { echo "$as_me:$LINENO: error: No working SPRNG library found" >&5
7945 echo "$as_me: error: No working SPRNG library found" >&2;}
7946   { (exit 1); exit 1; }; }
7947 fi
7820  
7821  
7950 fi
7822  
7952
7953
7954 echo "$as_me:$LINENO: checking if MKL is wanted" >&5
7955 echo $ECHO_N "checking if MKL is wanted... $ECHO_C" >&6
7956
7957 # Check whether --with-mkl or --without-mkl was given.
7958 if test "${with_mkl+set}" = set; then
7959  withval="$with_mkl"
7960     echo "$as_me:$LINENO: result: yes" >&5
7961 echo "${ECHO_T}yes" >&6
7962    for dir in $withval /usr/local/intel/mkl61 /opt/intel/mkl61; do
7963        mkldir="$dir"
7964        if test -f "$dir/include/mkl.h"; then
7965            found_mkl="yes";
7966            break;
7967        fi
7968    done
7969    if test x_$found_mkl != x_yes; then
7970        { { echo "$as_me:$LINENO: error: Cannot find MKL includes" >&5
7971 echo "$as_me: error: Cannot find MKL includes" >&2;}
7972   { (exit 1); exit 1; }; }
7973    else
7974        printf "MKL includes found in $mkldir/include\n";
7975    fi
7976
7977
7978
7979  ac_ext=c
7980 ac_cpp='$CPP $CPPFLAGS'
7981 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7982 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7983 ac_compiler_gnu=$ac_cv_c_compiler_gnu
7984
7985  ac_save_CPPFLAGS=$CPPFLAGS
7986  CPPFLAGS="${CPPFLAGS} -I${mkldir}/include"
7987  ac_save_LDFLAGS=$LDFLAGS
7988  LDFLAGS="${LDFLAGS} -L${mkldir}/lib/32 -lmkl -lvml -lguide"
7989  if test "${ac_cv_header_mkl_h+set}" = set; then
7990  echo "$as_me:$LINENO: checking for mkl.h" >&5
7991 echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
7992 if test "${ac_cv_header_mkl_h+set}" = set; then
7993  echo $ECHO_N "(cached) $ECHO_C" >&6
7994 fi
7995 echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
7996 echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
7997 else
7998  # Is the header compilable?
7999 echo "$as_me:$LINENO: checking mkl.h usability" >&5
8000 echo $ECHO_N "checking mkl.h usability... $ECHO_C" >&6
8001 cat >conftest.$ac_ext <<_ACEOF
8002 /* confdefs.h.  */
8003 _ACEOF
8004 cat confdefs.h >>conftest.$ac_ext
8005 cat >>conftest.$ac_ext <<_ACEOF
8006 /* end confdefs.h.  */
8007 $ac_includes_default
8008 #include <mkl.h>
8009 _ACEOF
8010 rm -f conftest.$ac_objext
8011 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
8012  (eval $ac_compile) 2>conftest.er1
8013  ac_status=$?
8014  grep -v '^ *+' conftest.er1 >conftest.err
8015  rm -f conftest.er1
8016  cat conftest.err >&5
8017  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8018  (exit $ac_status); } &&
8019         { ac_try='test -z "$ac_c_werror_flag"
8020                         || test ! -s conftest.err'
8021  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8022  (eval $ac_try) 2>&5
8023  ac_status=$?
8024  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8025  (exit $ac_status); }; } &&
8026         { ac_try='test -s conftest.$ac_objext'
8027  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8028  (eval $ac_try) 2>&5
8029  ac_status=$?
8030  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8031  (exit $ac_status); }; }; then
8032  ac_header_compiler=yes
8033 else
8034  echo "$as_me: failed program was:" >&5
8035 sed 's/^/| /' conftest.$ac_ext >&5
8036
8037 ac_header_compiler=no
8038 fi
8039 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
8040 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
8041 echo "${ECHO_T}$ac_header_compiler" >&6
8042
8043 # Is the header present?
8044 echo "$as_me:$LINENO: checking mkl.h presence" >&5
8045 echo $ECHO_N "checking mkl.h presence... $ECHO_C" >&6
8046 cat >conftest.$ac_ext <<_ACEOF
8047 /* confdefs.h.  */
8048 _ACEOF
8049 cat confdefs.h >>conftest.$ac_ext
8050 cat >>conftest.$ac_ext <<_ACEOF
8051 /* end confdefs.h.  */
8052 #include <mkl.h>
8053 _ACEOF
8054 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8055  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8056  ac_status=$?
8057  grep -v '^ *+' conftest.er1 >conftest.err
8058  rm -f conftest.er1
8059  cat conftest.err >&5
8060  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8061  (exit $ac_status); } >/dev/null; then
8062  if test -s conftest.err; then
8063    ac_cpp_err=$ac_c_preproc_warn_flag
8064    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
8065  else
8066    ac_cpp_err=
8067  fi
8068 else
8069  ac_cpp_err=yes
8070 fi
8071 if test -z "$ac_cpp_err"; then
8072  ac_header_preproc=yes
8073 else
8074  echo "$as_me: failed program was:" >&5
8075 sed 's/^/| /' conftest.$ac_ext >&5
8076
8077  ac_header_preproc=no
8078 fi
8079 rm -f conftest.err conftest.$ac_ext
8080 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
8081 echo "${ECHO_T}$ac_header_preproc" >&6
8082
8083 # So?  What about this header?
8084 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
8085  yes:no: )
8086    { echo "$as_me:$LINENO: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&5
8087 echo "$as_me: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
8088    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the compiler's result" >&5
8089 echo "$as_me: WARNING: mkl.h: proceeding with the compiler's result" >&2;}
8090    ac_header_preproc=yes
8091    ;;
8092  no:yes:* )
8093    { echo "$as_me:$LINENO: WARNING: mkl.h: present but cannot be compiled" >&5
8094 echo "$as_me: WARNING: mkl.h: present but cannot be compiled" >&2;}
8095    { echo "$as_me:$LINENO: WARNING: mkl.h:     check for missing prerequisite headers?" >&5
8096 echo "$as_me: WARNING: mkl.h:     check for missing prerequisite headers?" >&2;}
8097    { echo "$as_me:$LINENO: WARNING: mkl.h: see the Autoconf documentation" >&5
8098 echo "$as_me: WARNING: mkl.h: see the Autoconf documentation" >&2;}
8099    { echo "$as_me:$LINENO: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&5
8100 echo "$as_me: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&2;}
8101    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the preprocessor's result" >&5
8102 echo "$as_me: WARNING: mkl.h: proceeding with the preprocessor's result" >&2;}
8103    { echo "$as_me:$LINENO: WARNING: mkl.h: in the future, the compiler will take precedence" >&5
8104 echo "$as_me: WARNING: mkl.h: in the future, the compiler will take precedence" >&2;}
8105    (
8106      cat <<\_ASBOX
8107 ## ------------------------------ ##
8108 ## Report this to gezelter@nd.edu ##
8109 ## ------------------------------ ##
8110 _ASBOX
8111    ) |
8112      sed "s/^/$as_me: WARNING:     /" >&2
8113    ;;
8114 esac
8115 echo "$as_me:$LINENO: checking for mkl.h" >&5
8116 echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
8117 if test "${ac_cv_header_mkl_h+set}" = set; then
8118  echo $ECHO_N "(cached) $ECHO_C" >&6
8119 else
8120  ac_cv_header_mkl_h=$ac_header_preproc
8121 fi
8122 echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
8123 echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
8124
8125 fi
8126 if test $ac_cv_header_mkl_h = yes; then
8127
8128    echo "$as_me:$LINENO: checking for vslNewStream in -lmkl" >&5
8129 echo $ECHO_N "checking for vslNewStream in -lmkl... $ECHO_C" >&6
8130 if test "${ac_cv_lib_mkl_vslNewStream+set}" = set; then
8131  echo $ECHO_N "(cached) $ECHO_C" >&6
8132 else
8133  ac_check_lib_save_LIBS=$LIBS
8134 LIBS="-lmkl  $LIBS"
8135 cat >conftest.$ac_ext <<_ACEOF
8136 /* confdefs.h.  */
8137 _ACEOF
8138 cat confdefs.h >>conftest.$ac_ext
8139 cat >>conftest.$ac_ext <<_ACEOF
8140 /* end confdefs.h.  */
8141
8142 /* Override any gcc2 internal prototype to avoid an error.  */
8143 #ifdef __cplusplus
8144 extern "C"
8145 #endif
8146 /* We use char because int might match the return type of a gcc2
8147   builtin and then its argument prototype would still apply.  */
8148 char vslNewStream ();
8149 int
8150 main ()
8151 {
8152 vslNewStream ();
8153  ;
8154  return 0;
8155 }
8156 _ACEOF
8157 rm -f conftest.$ac_objext conftest$ac_exeext
8158 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8159  (eval $ac_link) 2>conftest.er1
8160  ac_status=$?
8161  grep -v '^ *+' conftest.er1 >conftest.err
8162  rm -f conftest.er1
8163  cat conftest.err >&5
8164  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8165  (exit $ac_status); } &&
8166         { ac_try='test -z "$ac_c_werror_flag"
8167                         || test ! -s conftest.err'
8168  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8169  (eval $ac_try) 2>&5
8170  ac_status=$?
8171  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8172  (exit $ac_status); }; } &&
8173         { ac_try='test -s conftest$ac_exeext'
8174  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8175  (eval $ac_try) 2>&5
8176  ac_status=$?
8177  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8178  (exit $ac_status); }; }; then
8179  ac_cv_lib_mkl_vslNewStream=yes
8180 else
8181  echo "$as_me: failed program was:" >&5
8182 sed 's/^/| /' conftest.$ac_ext >&5
8183
8184 ac_cv_lib_mkl_vslNewStream=no
8185 fi
8186 rm -f conftest.err conftest.$ac_objext \
8187      conftest$ac_exeext conftest.$ac_ext
8188 LIBS=$ac_check_lib_save_LIBS
8189 fi
8190 echo "$as_me:$LINENO: result: $ac_cv_lib_mkl_vslNewStream" >&5
8191 echo "${ECHO_T}$ac_cv_lib_mkl_vslNewStream" >&6
8192 if test $ac_cv_lib_mkl_vslNewStream = yes; then
8193  MKL_LIBDIR="${mkldir}/lib/32",
8194                     MKL_LIB="-lmkl -lvml -lguide",
8195                     HAVE_MKL="yes"
8196 fi
8197
8198
8199 else
8200  MKL_INC="-I${mkldir}/include"
8201 fi
8202
8203
8204  CPPFLAGS=$ac_save_CPPFLAGS
8205  LDFLAGS=$ac_save_LDFLAGS
8206  ac_ext=c
8207 ac_cpp='$CPP $CPPFLAGS'
8208 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8209 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8210 ac_compiler_gnu=$ac_cv_c_compiler_gnu
8211
8212
8213  if test x_$HAVE_MKL != x_yes; then
8214        { { echo "$as_me:$LINENO: error: Can't build with MKL" >&5
8215 echo "$as_me: error: Can't build with MKL" >&2;}
8216   { (exit 1); exit 1; }; }
8217  fi
8218
8219
8220
8221
8222
8223 else
8224
8225    echo "$as_me:$LINENO: result: no" >&5
8226 echo "${ECHO_T}no" >&6
8227
8228 fi;
8229
8230
8231
7823   # Check whether --enable-doxygen or --disable-doxygen was given.
7824   if test "${enable_doxygen+set}" = set; then
7825    enableval="$enable_doxygen"
# Line 9106 | Line 8697 | s,@USE_MPI@,$USE_MPI,;t t
8697   s,@MPI_LIB@,$MPI_LIB,;t t
8698   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
8699   s,@USE_MPI@,$USE_MPI,;t t
9109 s,@SPRNG_LIB_DIR@,$SPRNG_LIB_DIR,;t t
9110 s,@SPRNG_INC_DIR@,$SPRNG_INC_DIR,;t t
9111 s,@SPRNG_LIB@,$SPRNG_LIB,;t t
9112 s,@USE_SPRNG@,$USE_SPRNG,;t t
9113 s,@MKL_LIBDIR@,$MKL_LIBDIR,;t t
9114 s,@MKL_LIB@,$MKL_LIB,;t t
9115 s,@MKL_INC@,$MKL_INC,;t t
9116 s,@HAVE_MKL@,$HAVE_MKL,;t t
8700   s,@DOXYGEN@,$DOXYGEN,;t t
8701   s,@DOT@,$DOT,;t t
8702   s,@DOC@,$DOC,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines